package cn.com.poc.covenant.service;

import cn.com.poc.covenant.model.BizExtractionReviewTaskModel;
import cn.com.poc.covenant.query.ExtractionTaskQueryCondition;
import cn.com.poc.covenant.query.ExtractionTaskQueryItem;
import cn.com.yict.framemax.core.service.BaseService;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.Collection;
import java.util.List;

public interface BizExtractionReviewTaskService extends BaseService {

    BizExtractionReviewTaskModel get(Integer id) throws Exception;

    List<BizExtractionReviewTaskModel> findByExample(BizExtractionReviewTaskModel example, PagingInfo pagingInfo) throws Exception;

    void delete(BizExtractionReviewTaskModel model) throws Exception;

    void deleteById(Integer id) throws Exception;

    void deleteAll(Collection<Integer> ids) throws Exception;

    BizExtractionReviewTaskModel save(BizExtractionReviewTaskModel model) throws Exception;

    Collection<BizExtractionReviewTaskModel> saveAll(Collection<BizExtractionReviewTaskModel> models) throws Exception;

    List<ExtractionTaskQueryItem> extractionTaskQuery(ExtractionTaskQueryCondition condition, PagingInfo pagingInfo);


}